notbugAs an Amazon Associate I earn from qualifying purchases.
Want a good read? Try FreeBSD Mastery: Jails (IT Mastery Book 15)
Ukraine
Some details on the 2023-01-16 website outage.
We just rebooted with several updates: * new HMTLify code * no port maintainer is now highly visible (e.g. https://freshports.org/security/sssd/) * fixed search logic error when using plain/ text details at https://github.com/FreshPorts/freshports/releases/tag/2.2.34
Port details
py-poppler-qt4 Python bindings for the Poppler-Qt4 PDF rendering library
0.18.1_12 graphics Deleted on this many watch lists=0 search for ports that depend on this port Find issues related to this port Report an issue related to this port View this port on Repology. pkg-fallout Version of this port present on the latest quarterly branch.
Deprecated DEPRECATED: Qt4 has been EOL since december 2015
Expired This port expired on: 2019-03-15
Maintainer: martin.dieringer@gmx.de search for ports maintained by this maintainer
Port Added: 2012-09-06 14:02:21
Last Update: 2018-12-16 15:10:42
SVN Revision: 487596
Also Listed In: python
License: LGPL21 LGPL3
Description:
Homepage    cgit ¦ GitHub ¦ GitHub ¦ GitLab ¦ SVNWeb
pkg-plist: as obtained via: make generate-plist
There is no configure plist information for this port.
Dependency lines:
  • ${PYTHON_PKGNAMEPREFIX}poppler-qt4>0:graphics/py-poppler-qt4@${PY_FLAVOR}
No installation instructions:
This port has been deleted.
PKGNAME: py27-poppler-qt4
Flavors: there is no flavor information for this port.
distinfo:

Packages (timestamps in pop-ups are UTC):
py27-poppler-qt4
ABIlatestquarterly
FreeBSD:11:aarch640.18.1_10pkg-fallout
FreeBSD:11:amd64pkg-falloutpkg-fallout
FreeBSD:11:armv6pkg-falloutpkg-fallout
FreeBSD:11:i386pkg-falloutpkg-fallout
FreeBSD:11:mipspkg-falloutpkg-fallout
FreeBSD:11:mips64pkg-falloutpkg-fallout
FreeBSD:12:aarch640.18.1_10pkg-fallout
FreeBSD:12:amd64pkg-falloutpkg-fallout
FreeBSD:12:armv60.18.1_10pkg-fallout
FreeBSD:12:armv7pkg-falloutpkg-fallout
FreeBSD:12:i386pkg-falloutpkg-fallout
FreeBSD:12:mipspkg-falloutpkg-fallout
FreeBSD:12:mips64pkg-falloutpkg-fallout
FreeBSD:12:powerpc64pkg-falloutpkg-fallout
FreeBSD:13:aarch64pkg-falloutpkg-fallout
FreeBSD:13:amd64pkg-falloutpkg-fallout
FreeBSD:13:armv6pkg-falloutpkg-fallout
FreeBSD:13:armv7pkg-falloutpkg-fallout
FreeBSD:13:i386pkg-falloutpkg-fallout
FreeBSD:13:mipspkg-falloutpkg-fallout
FreeBSD:13:mips64pkg-falloutpkg-fallout
FreeBSD:13:powerpc64pkg-falloutpkg-fallout
FreeBSD:13:riscv64pkg-falloutpkg-fallout
FreeBSD:14:aarch64pkg-falloutpkg-fallout
FreeBSD:14:amd64pkg-falloutpkg-fallout
FreeBSD:14:armv6pkg-falloutpkg-fallout
FreeBSD:14:armv7pkg-falloutpkg-fallout
FreeBSD:14:i386pkg-falloutpkg-fallout
FreeBSD:14:mipspkg-falloutpkg-fallout
FreeBSD:14:mips64pkg-falloutpkg-fallout
FreeBSD:14:powerpc64pkg-falloutpkg-fallout
FreeBSD:14:riscv64pkg-falloutpkg-fallout
 
py36-poppler-qt4
ABIlatestquarterly
FreeBSD:11:aarch640.18.1_10pkg-fallout
FreeBSD:11:amd64pkg-falloutpkg-fallout
FreeBSD:11:armv6pkg-falloutpkg-fallout
FreeBSD:11:i386pkg-falloutpkg-fallout
FreeBSD:11:mipspkg-falloutpkg-fallout
FreeBSD:11:mips64pkg-falloutpkg-fallout
FreeBSD:12:aarch640.18.1_10pkg-fallout
FreeBSD:12:amd64pkg-falloutpkg-fallout
FreeBSD:12:armv60.18.1_10pkg-fallout
FreeBSD:12:armv7pkg-falloutpkg-fallout
FreeBSD:12:i386pkg-falloutpkg-fallout
FreeBSD:12:mipspkg-falloutpkg-fallout
FreeBSD:12:mips64pkg-falloutpkg-fallout
FreeBSD:12:powerpc64pkg-falloutpkg-fallout
FreeBSD:13:aarch64pkg-falloutpkg-fallout
FreeBSD:13:amd64pkg-falloutpkg-fallout
FreeBSD:13:armv6pkg-falloutpkg-fallout
FreeBSD:13:armv7pkg-falloutpkg-fallout
FreeBSD:13:i386pkg-falloutpkg-fallout
FreeBSD:13:mipspkg-falloutpkg-fallout
FreeBSD:13:mips64pkg-falloutpkg-fallout
FreeBSD:13:powerpc64pkg-falloutpkg-fallout
FreeBSD:13:riscv64pkg-falloutpkg-fallout
FreeBSD:14:aarch64pkg-falloutpkg-fallout
FreeBSD:14:amd64pkg-falloutpkg-fallout
FreeBSD:14:armv6pkg-falloutpkg-fallout
FreeBSD:14:armv7pkg-falloutpkg-fallout
FreeBSD:14:i386pkg-falloutpkg-fallout
FreeBSD:14:mipspkg-falloutpkg-fallout
FreeBSD:14:mips64pkg-falloutpkg-fallout
FreeBSD:14:powerpc64pkg-falloutpkg-fallout
FreeBSD:14:riscv64pkg-falloutpkg-fallout
 
Dependencies
NOTE: FreshPorts displays only information on required and default dependencies. Optional dependencies are not covered.
Build dependencies:
  1. pkgconf>=1.3.0_1 : devel/pkgconf
  2. py27-qt4-gui>=4.12.1 : x11-toolkits/py-qt4-gui@py27
  3. py27-sip>=4.19.8 : devel/py-sip@py27
  4. py27-qt4-xml>=4.12.1 : textproc/py-qt4-xml@py27
  5. py27-setuptools>0 : devel/py-setuptools@py27
  6. python2.7 : lang/python27
Runtime dependencies:
  1. py27-qt4-gui>=4.12.1 : x11-toolkits/py-qt4-gui@py27
  2. py27-qt4-xml>=4.12.1 : textproc/py-qt4-xml@py27
  3. py27-setuptools>0 : devel/py-setuptools@py27
  4. python2.7 : lang/python27
Library dependencies:
  1. libpoppler-qt4.so : graphics/poppler-qt4
There are no ports dependent upon this port

Configuration Options:
Options name:
USES:
FreshPorts was unable to extract/find any pkg message
Master Sites:
Expand this list (2 items)
Collapse this list.
  1. https://files.pythonhosted.org/packages/source/p/python-poppler-qt4/
  2. https://pypi.org/packages/source/p/python-poppler-qt4/
Collapse this list.

Number of commits found: 28

Commit History - (may be incomplete: for full details, see links to repositories near top of page)
CommitCreditsLog message
0.18.1_12
16 Dec 2018 15:10:42
Revision:487596Original commit files touched by this commit
tcberner search for other commits by this committer
Update poppler to 0.72

This update brings many changes
- the build system has switched to cmake
- some ports needed to be switched to use their bundled
  version of poppler:
  - print/tex-luatex (r487226)
  - print/tex-xetex (r487226)
  - editors/opeonffice-devel
- Qt4 support has been dropped
  - print/frescobaldi has been removed for this reason.
- most of the added patches can be removed with the next
  upgrade of the concerning port.

PR:		233452
Exp-run by:	antoine
Approved by:	gnome (kwm)
Differential Revision:	https://reviews.freebsd.org/D17456
0.18.1_12
12 Dec 2018 01:35:36
Revision:487272Original commit files touched by this commit
gerald search for other commits by this committer
Bump PORTREVISION for ports depending on the canonical version of GCC
defined via Mk/bsd.default-versions.mk which has moved from GCC 7.4 t
GCC 8.2 under most circumstances.

This includes ports
 - with USE_GCC=yes or USE_GCC=any,
 - with USES=fortran,
 - using Mk/bsd.octave.mk which in turn features USES=fortran, and
 - with USES=compiler specifying openmp, nestedfct, c11, c++0x, c++11-lang,
   c++11-lib, c++14-lang, c++17-lang, or gcc-c++11-lib
plus, as a double check, everything INDEX-11 showed depending on lang/gcc7.

PR:		231590
0.18.1_11
02 Dec 2018 15:41:48
Revision:486467Original commit files touched by this commit
rene search for other commits by this committer
Mark QT4 ports/functionality for removal on 2019-03-15

While here, chase some KDE4 ports and functionality, these are scheduled for
removal on 2018-12-31. Change the default option/flavor to QT5 where applicable
or use alternative toolkits like GTK.

Submitted by:	tcberner
Reviewed by:	adridg, jhale, rene, tcberner
Approved by:	portmgr (implicit, flavor hook)
Differential Revision:	https://reviews.freebsd.org/D17741
0.18.1_11
22 Nov 2018 20:18:37
Revision:485614Original commit files touched by this commit
tcberner search for other commits by this committer
pyqt: Change install directories for Python flavor support

* PyQt could not be installed for multiple Python versions at
  the same time, as there were conflicting files.

  This patch creates Python-version versioned directories for
  all these, and further installs binaries with a version number.

* Note, there might be some hickups for software that depends on
  on of the .so's provided by PyQt5, which might not be found
  anymore autmotically, and maybe need some LD-flaggery.

* Update PyQt5 to 5.10.1

* Mark www/py-qt5-webengine broken. It is unforuntately no longer
  compatible with the old qt5-webengine-5.9.4 we ship.

PR:		232745
Exp-run by:	antoine
Differential Revision:	https://reviews.freebsd.org/D8714
0.18.1_10
29 Jul 2018 22:18:46
Revision:475857Original commit files touched by this commit
gerald search for other commits by this committer
Bump PORTREVISION for ports depending on the canonical version of GCC
in the ports tree (via Mk/bsd.default-versions.mk and lang/gcc) which
has now moved from GCC 6 to GCC 7 by default.

This includes ports
 - featuring USE_GCC=yes or USE_GCC=any,
 - featuring USES=fortran,
 - using Mk/bsd.octave.mk which in turn features USES=fortran, and those
 - with USES=compiler specifying one of openmp, nestedfct, c11, c++0x,
   c++11-lib, c++11-lang, c++14-lang, c++17-lang, or gcc-c++11-lib.

PR:		222542
0.18.1_9
18 Jun 2018 19:03:04
Revision:472706Original commit files touched by this commit
linimon search for other commits by this committer
Adjust USES to fix builds on gcc-based architectures.

While here, pet portlint.

Tested for no regression on amd64.

Approved by:	portmgr (tier-2 blanket)
0.18.1_9
25 Apr 2018 16:42:38
Revision:468282Original commit files touched by this commit
amdmi3 search for other commits by this committer
Switch all pypi.python.org WWWs to a new PyPi home pypi.org where
they now redirect to anyway. All new urls checked to return 200,
I've fixed a couple of them in the process.

Approved by:	portmgr blanket, mat
0.18.1_9
08 Feb 2018 20:18:09
Revision:461265Original commit files touched by this commit
amdmi3 search for other commits by this committer
Canonicalize PyPi WWWs:
- Switch to https://
- Remove trailing slashes

Approved by:	portmgr blanket
0.18.1_9
24 Aug 2017 13:45:14
Revision:448669Original commit files touched by this commit
swills search for other commits by this committer
Bump PORTREVISION after recent poppler update
0.18.1_8
04 Feb 2017 13:37:15
Revision:433310Original commit files touched by this commit
tcberner search for other commits by this committer
Switch ports to use USE_PYQT=<foo> instead of using RUN_- and BUILD_DEPENDS

pyqt.mk provides USE_PYQT=<list> to depend on its components. Convert the ports
not yet using it to it.

Reviewed by:	rakuco, mat
Approved by:	rakuco (mentor)
Differential Revision:	https://reviews.freebsd.org/D9261
0.18.1_8
21 Jan 2017 22:10:43
Revision:432089Original commit files touched by this commit
tcberner search for other commits by this committer
Fix graphics/py-poppler-qt4: fails to build with clang 4.0

  PyList_SET_ITEM() is supposed to be void, but as a macro it's an
  expression and has a pointer value. Clang 4.0 trips on the bogus
  pointer comparison; given the comparison, it should be PyList_SetItem()
  which returns -1 on failure.

PR:		216228
Approved by:	portmgr blanket, rakuco (mentor)
MFH:		2017Q1
0.18.1_7
07 Jan 2017 10:42:51
Revision:430778Original commit files touched by this commit
olivierd search for other commits by this committer
Chase update of graphics/poppler (and slaves ports) in revision r430777
0.18.1_6
05 Sep 2016 20:02:03
Revision:421390Original commit files touched by this commit
olivierd search for other commits by this committer
Chase update of Poppler after revision r421386
0.18.1_5
01 Apr 2016 14:00:57
Revision:412346Original commit files touched by this commit
mat search for other commits by this committer
Remove ${PORTSDIR}/ from dependencies, categories d, e, f, and g.

With hat:	portmgr
Sponsored by:	Absolight
0.18.1_5
21 Jan 2016 19:40:10
Revision:406872Original commit files touched by this commit
kwm search for other commits by this committer
Update poppler to 0.40.0. [1]

Add patches to py-poppler [2] and rubygem-poppler [3] to fix the build
of these ports with poppler 0.39+.

PR:		206293 [1]
Submitted by:	olivierd@ [1]
Obtained from:	ubuntu [2], rubygem-poppler upstream [3]
0.18.1_4
02 Aug 2015 16:06:17
Revision:393431Original commit files touched by this commit
kwm search for other commits by this committer
Update poppler to 0.34.0. [1]

Chase all users of shlib version change of libpoppler.so.

PR:		201477 [1]
Submitted by:	olivierd@ [1]
0.18.1_3
03 Feb 2015 12:28:24
Revision:378348Original commit files touched by this commit
kwm search for other commits by this committer
Update poppler to 0.30.0 [1].

Make sure we use openjpeg1 in poppler, while openjpeg2 support
was added there still bugs in openjpeg2 that need to be fixed.
Add patches to inkscape for API changes in poppler 0.29.0 [2].

PR:		196599 [1]
Submitted by:	olivierd@ [1]
Exp-run by:	antoine@
Obtained from:	upstream [2]
0.18.1_2
25 Nov 2014 12:55:54
Revision:373404Original commit files touched by this commit
makc search for other commits by this committer
Bump PORTREVISION after graphics/poppler update to 0.26.3
0.18.1_1
21 Oct 2014 16:36:12
Revision:371326Original commit files touched by this commit
mva search for other commits by this committer
- Convert ports of graphics/ to new USES=python

Approved by:	portmgr (implicit)
0.18.1_1
10 Sep 2014 20:50:37
Revision:367888Original commit files touched by this commit
gerald search for other commits by this committer
Update the default version of GCC in the Ports Collection from GCC 4.7.4
to GCC 4.8.3.

Part II, Bump PORTREVISIONs.

PR:		192025
Tested by:	antoine (-exp runs)
Approved by:	portmgr (implicit)
0.18.1
07 Jun 2014 15:48:30
Revision:356916Original commit files touched by this commit
antoine search for other commits by this committer
- Update to 0.18.1
- Unbreak and undeprecate

PR:		ports/190748
Submitted by:	maintainer
0.16.3_3
31 May 2014 20:47:59
Revision:356018Original commit files touched by this commit
antoine search for other commits by this committer
Deprecated some ports that were already marked BROKEN in 2013

With hat:	portmgr
0.16.3_3
27 Dec 2013 16:54:22
Revision:337749Original commit files touched by this commit
kwm search for other commits by this committer
Update poppler to 0.24.4.

Update comment.
Use new LIB_DEPENDS syntax, use USES=pathfix.
Stagify.

Bump portrevision of all affected ports, and Update poppler* LIB_DEPENDS to
new syntax.
0.16.3_2
20 Sep 2013 18:35:46
Revision:327733Original commit files touched by this commit
bapt search for other commits by this committer
Add NO_STAGE all over the place in preparation for the staging support (cat:
graphics)
0.16.3_2
21 Mar 2013 05:27:16
Revision:314805Original commit files touched by this commit
mezz search for other commits by this committer
- Update poppler to 0.22.2.
- Bump the rest ports that depend on the poppler and poppler-qt because of
  shared library version have been changed.
- Add a note in the UPDATING for require to rebuild all ports that depend
  on poppler.

Submitted by:	kwm (poppler* part)
0.16.3_1
03 Feb 2013 18:16:55
Revision:311476Original commit files touched by this commit
makc search for other commits by this committer
Bump PORTREVISON after devel/py-sip and devel/qscintilla2 update.

x11-toolkits/py-qt:
- mark BROKEN: does not build with latest devel/py-sip
0.16.3
16 Dec 2012 16:05:22
Revision:309022Original commit files touched by this commit
jhale search for other commits by this committer
- Update to 0.16.3

While here:
- Clean up *_DEPENDS syntax
- Add LICENSE (LGPL21 or later)

PR:		ports/174155
Submitted by:	Martin Dieringer <martin.dieringer@gmx.de> (maintainer)
0.16.2
06 Sep 2012 14:01:54
Revision:303753Original commit files touched by this commit
makc search for other commits by this committer
Add new port graphics/py-poppler-qt4:

Python bindings for poppler-qt4.

WWW: http://python-poppler-qt4.googlecode.com

PR:		based on ports/171223
Submitted by:	Martin Dieringer <martin.dieringer at gmx.de>

Number of commits found: 28